### Enumeration

# Tracker SparqlConnectionFlags

#### Declaration

    flags Tracker.SparqlConnectionFlags

#### Description [src]

Connection flags to modify `TrackerSparqlConnection` behavior.

#### Members

Name | Description
--- | ---
`TRACKER_SPARQL_CONNECTION_FLAGS_NONE` | No flags.
`TRACKER_SPARQL_CONNECTION_FLAGS_READONLY` | Connection is readonly.
`TRACKER_SPARQL_CONNECTION_FLAGS_FTS_ENABLE_STEMMER` | Word stemming is applied to FTS search terms.
`TRACKER_SPARQL_CONNECTION_FLAGS_FTS_ENABLE_UNACCENT` | Unaccenting is applied to FTS search terms.
`TRACKER_SPARQL_CONNECTION_FLAGS_FTS_ENABLE_STOP_WORDS` | FTS Search terms are filtered through a stop word list. This flag is deprecated since Tracker 3.6, and will do nothing.
`TRACKER_SPARQL_CONNECTION_FLAGS_FTS_IGNORE_NUMBERS` | Ignore numbers in FTS search terms.
`TRACKER_SPARQL_CONNECTION_FLAGS_ANONYMOUS_BNODES` | Treat blank nodes as specified in SPARQL 1.1 syntax. Namely, they cannot be used as URIs. This flag is available since Tracker 3.3.